MSGCMP(1)

NAME
msgcmp - compare two message catalogs

SYNOPSIS
msgcmp [OPTION] def.po ref.po

DESCRIPTION
Mandatory arguments to long options are mandatory for short options too.

-D, --directory=DIRECTORY
    add DIRECTORY to list for input files search

-h, --help
    display a help message and exit

-V, --version
    output version information and exit

Compare two Uniforum style .po files to check that both contain the same set of msgid strings. The def.po file is an existing PO file with the old translations. The ref.po file is the last created PO file (generally by xgettext). This is useful for checking that you have translated each and every message in your program. Where an exact match cannot be found, fuzzy matching is used to produce better diagnostics.

AUTHOR
Written by Peter Miller.

REPORTING BUGS
Report bugs to <bug-gnu-utils@gnu.org>.

COPYRIGHT
Copyright © 1995-1998, 2000, 2001 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gettext(1), msgfmt(1), xgettext(1)

The full documentation for msgcmp is maintained as a Texinfo manual. If the info and msgcmp programs are properly installed at your site, the command info msgcmp should give you access to the complete manual.

On Debian, the manual is also available in HTML format in the gettext-doc package.